#! /bin/bash

source modules/i2c_addrs.sh
insmod modules/i2c_devs.ko
sleep 1

probe_dev()
{
    2>/dev/null echo maple_i2c 0x$1 > /sys/bus/i2c/devices/i2c-0/new_device
}

# Suppress error warnings in case device cannot be probed because it is inexistent.
dmesg -n 1
probe_dev $I2C_SW0_I2C_ADDR
probe_dev $I2C_SW1_I2C_ADDR
probe_dev $I2C_SW2_I2C_ADDR
probe_dev $I2C_SW3_I2C_ADDR
probe_dev $I2C_SW4_I2C_ADDR
probe_dev $SFP_I2C_ADDR1
probe_dev $SFP_I2C_ADDR2
probe_dev $FPGA_I2C_ADDR
dmesg -n 8

rm -f /dev/maple_i2c
mknod /dev/maple_i2c c `cat /sys/module/i2c_devs/parameters/maple_i2c_chrdev_major` 0


